> # NAME

> GeometryProgram - 3D API geometry program

> # USAGE

> GeometryProgram = compile profile "-po profileOption" main(args);

> # VALID ENUMERANTS

> prog: Null

> # DESCRIPTION

> Compile a geometry program. See the specification of the OpenGL geomentry profile for details. See the specification of the Direct3D 10 geomentry shaders for details.

> The standard reset callback sets the GeometryProgram state to program(false).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 10

> # SEE ALSO

> FragmentProgram, TessellationControlProgram, TessellationEvaluationProgram, VertexProgram, GeometryShader, PixelShader, TessellationControlShader, TessellationEvaluationShader, VertexShader